# -----------------------------------------------------------------------------
sub infChkDup
{
  ($thishost) = @_;

  if ($up[$thishost] ne "Y")
  {
    &logit("(Down/Inhibited)",$thishost);
    return 1;
  }

  #
  # Run script which finds dup ONCONFIG entries
  #

  &remsh("onstat -;export PATH=\$PATH:$infdir[$thishost]/bin;$probe[$thishost] dup",$tmpfl2,$thishost);
  ##system("cat $tmpfl2");

  $duplist = "";

  open(TMPFL2, "$tmpfl2"  ) || &error_msg("Can't open input $tmpfl2 - $!");
  while(<TMPFL2>)
  {
    &parse;
    if ($F1 eq "Dup:") { $duplist .= " $F2"; }

    ##print "F0=$F0 F1=$F1 duplist=$duplist\n";
  }
  close(TMPFL2);

  $duplist =~ s/\n//g;

  if ($duplist) 
  {
    &event("C",$thishost,"Duplicate ONCONFIG Parameters Found: $duplist","DupOnconfig","DBA340",$tmpfl2);
  }
  else
  {
    &logit("OK",$thishost);
  }

  &function_cleanup();
}
# -----------------------------------------------------------------------------
1;
